LM95221TS(4) | Device Drivers Manual | LM95221TS(4)

# NAME

`lm95221ts` — LM95221 Dual Remote Diode Digital Temperature Sensor

# SYNOPSIS

`lm95221ts* at iic? addr?`

# DESCRIPTION

The `lm95221ts` driver provides support for the Texas Instruments LM95221 temperature sensor, which supports a local and two remote temperature sensors. The local sensor has a resolution of 0.25 degC whilst the remote sensors have a resolution of 0.125 degC. The temperature values are available through the envstat(8) interface.

# SEE ALSO

envsys(4), iic(4), intro(4), envstat(8)

# HISTORY

The `lm95221ts` driver first appeared in NetBSD 11.1.

# AUTHORS

The `lm95221ts` driver was written by Julian Coleman <jcoleman@netbsd.org>.

February 13, 2026 | NetBSD 11.99